Sky3DS: Firmware Compatibility

Discussion in '3DS - Flashcards & Custom Firmwares' started by mogep, Jun 22, 2015.

  1. mogep
    OP

    mogep Newbie

    Newcomer
    3
    0
    Jun 22, 2015
    Canada
    Hey guys, I'm new to the Sky3DS.

    How does this firmware update thing work? In my situation, I would like to buy the Sky3DS from a retailer that claims that the Sky3DS card works up to 9.4. Is there one universal Sky3DS blue button card? If Sky3DS.com says that the card supports 9.8, then does that mean the card purchased at the retailer will also work with 9.8?

    If anyone could clear this up with me, I'd be so grateful. Thanks in advance.
     
  2. dkabot

    dkabot Better With Others' Systems Than Their Own

    Member
    1,000
    349
    Sep 9, 2014
    United States
    The only models of Sky3DS are Red Button and Blue Button (some of which that are supposedly the latter actually being the former, but that's its own issue...).
    So far, if you have a Sky3DS, it'll work on any version. This is subject to change as later versions come out, but currently any of them work.
     
    mogep likes this.
  3. mogep
    OP

    mogep Newbie

    Newcomer
    3
    0
    Jun 22, 2015
    Canada
    That's exactly what I needed to hear! Thanks so much for clearing it up for me. Cheers. :)
     
  4. bowser

    bowser Mwa ha ha ha!

    Member
    2,270
    776
    Sep 1, 2008
    India
    GBAtemp ↑↑↓↓← → ← →BA
    There's only one version of the Sky3DS blue button card. It will work on the latest firmware to date (9.8). The retailer is probably misinformed.
     
    mogep likes this.